/**
 * @author Alvaro Garcia Yaguez
 * @date 25th of January 2011
 * All the constants definition for speculative engine
**/

// work states
#define JOBDONE '0'
#define JOBTODO '1'

// wheel state definitions
#define RUNNING 1
#define DONE 2
#define FREE 3
// The numerical values used for SQUASHED and PENDING_SQUASH
// are important in vA16 and above and should not be changed.
#define SQUASHED 5
// New parameter, useful in vAxx series and harmless in others.
#define PENDING_SQUASH 4

// local Access Vector states
#define NOTACC 0 // Este estado podria ser incluso eliminado
#define EXPLD 1
#define ELUP 2
#define UPDATE 3
#define REDADD 4
#define REDMAX 5

#define true 1
#define false 0
